Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter.identity
Interface Identifier<T,O>

Type Parameters:
  `T` - The type of the identifier itself.
  `O` - The type of objects to be identified.

All Known Subinterfaces:
  FeatureId, GmlObjectId<O>, ObjectId, RecordId

    public interface Identifier<T,O>

An object identifier.

This class is an abstract base for identifiers. Some known identifiers are:

- FeatureId
- GMLObjectId
- RecordId

Version:
  Implementation specification 1.0

Method Summary
`T` | `getID()` Returns the identifier itself.
`boolean` | `matches(O object)` Determines if the id of an object matches the value of the identifier.
`String` | `toString()` Returns a string representation of the identifier.

Method Detail

### getID

    T getID()

  Returns the identifier itself.

### matches

    boolean matches(O object)

  Determines if the id of an object matches the value of the identifier.

  Parameters:
    `object` - The object to perform the test against.
  Returns:
    `true` if a match, otherwise `false`.

### toString

    String toString()

  Returns a string representation of the identifier.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.